LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

DAQmx support for Labview 8.0

Solved!
Go to solution

I am having a problem with the current DAQmx Drivers,

The system used to run perfectly when using labview 8.0, however, after the installation of labview 2009

The DAQ library in the labview 8.0 folder is missing.

I tried to install the older version of the DAQmx (Legacy) but i still can't get the library back in labview 8.0 folder.

Would it possible to get those files ?

 

Thanks,

Ahmad Aladdasi

Mechatronics Engineer

 

0 Kudos
Message 1 of 8
(4,268 Views)

The current version of DAQmx does not support LabVIEW 8.0. See here: http://digital.ni.com/public.nsf/allkb/722D3EBA94563833862576660069D309

0 Kudos
Message 2 of 8
(4,258 Views)

The software was developed on labview 8.0,

when i try to use labview 2009, some vi are missing from that library.

I have to use labview 8.0,

What is the solution? i can uninstall 2009 if needed and download the old support, woud that that help ?

 

0 Kudos
Message 3 of 8
(4,253 Views)

You do not need to uninstall LabVIEW 2009. You just need to re-install a version of DAQmx that supports 8.0. DAQmx 8.7.1 would be the latest. You can get it in the Support section: http://search.ni.com/nisearch/app/main/p/bot/no/ap/tech/lang/en/pg/1/sn/catnav:du,n8:3478.41.181.5495,ssnav:sup/

 

You should first make sure that you uninstall anything that might be leftover by uninstalling the current version of DAQmx. Note that you can only have one version of DAQmx. So, the version that supports 8.0 will install the libraries in the LabVIEW 8.0 directory, but 2009 will not have any DAQmx support.

0 Kudos
Message 4 of 8
(4,246 Views)

i will try to do that,

Thanks,

 

0 Kudos
Message 5 of 8
(4,241 Views)

i tried to uninstall the drivers from labview 2009 for the DAQmx, i believe it was done successfully because all the vi files for the DAQ were removed and not available in the labview folder.

However, when i tried to install DAQmx 8.6, the setup cannot run because it says that a newer version is still running on the computer.

Is there an NI tool that i can use to check all the drivers installed and uninstall what not needed ?

I had to use the labview 2009 DVD to run the setup and remove the drivers.

 

Thanks again

0 Kudos
Message 6 of 8
(4,234 Views)
Solution
Accepted by topic author ahmedaddassi

This, unfortunately, has happened to a number of people before. See, for example: http://forums.ni.com/t5/Multifunction-DAQ/How-to-downgrade-from-NI-DAQmx-9-0-2-to-8-7-1/td-p/1016683

Message 7 of 8
(4,211 Views)

Hello again,

 

I tried to uninstall everything related to labview on the computer using msiblast, but still having the same problem, even after removing every labview newer than 8.0 files.

When I try to install DAQmx 8.6 it says a newer version is available.

I deleted the registry stuff to.

I had to keep labview 8.0 because it is the version i want to use plus i don't have the CD to install it, so i kept it and it's support files.

 

Can anyone send me the DAQmx library for labview 8.0?

Makesure it is the Vi files not the installation setup because that one will give me the same problem, " Newer Version is installed" problem.

 

Don't refer me to any extra links about installing, cuz honestly i have seen them all....

 

Thanks,

 

0 Kudos
Message 8 of 8
(4,155 Views)